Package wx :: Class PyEventBinder

[frames | no frames]

## Type PyEventBinder

    object --+
             |
            PyEventBinder

Instances of this class are used to bind specific events to event handlers.

Method Summary
| `__init__(self, evtType, expectedIDs)`
| ``__call__`(self, *args)` For backwards compatibility with the old EVT_* functions.
| ``Bind`(self, target, id1, id2, function)` Bind this set of event types to target.
| ``Unbind`(self, target, id1, id2)` Remove an event binding.

Property Summary
| `typeId`

Method Details

### __call__(self, *args)
(Call operator)

For backwards compatibility with the old EVT_* functions. Should be called with either (window, func), (window, ID, func) or (window, ID1, ID2, func) parameters depending on the type of the event.

### Bind(self, target, id1, id2, function)

Bind this set of event types to target.

### Unbind(self, target, id1, id2)

Remove an event binding.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:46 2007 | http://epydoc.sf.net